### Method

# Camel FilterDriver filter_mbox

#### Declaration [src]

    gint
    camel_filter_driver_filter_mbox (
      CamelFilterDriver* driver,
      const gchar* mbox,
      const gchar* original_source_url,
      GCancellable* cancellable,
      GError** error
    )

#### Description [src]

Filters an mbox file based on rules defined in the FilterDriver object. Is more efficient as it doesn’t need to open the folder through Camel directly.

#### Parameters

`mbox`

  Type: `const gchar*`

  Mbox filename to be filtered.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`original_source_url`

  Type: `const gchar*`

  URI of the `mbox`, or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`cancellable`

  Type: `GCancellable`

  Optional `GCancellable` object, or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gint`

-1 if errors were encountered during filtering, otherwise returns 0.